"Heartbleed" Bug Update 

heartbleedCurrent media reports have focused on a severe, widespread vulnerability nicknamed the “Heartbleed” bug. This bug in OpenSSL, a technology many companies use to enable secure Internet communication, can allow hackers to view confidential information over secure Internet connections.

Northwestern Mutual takes the security of our clients’ information seriously. We have completed a thorough assessment of known vulnerabilities related to the Heartbleed bug and confirmed that our client-accessible systems and websites are not affected by the bug. We will continue to actively monitor this issue to ensure the security of our clients’ information.

Northwestern Mutual encourages you to check your accounts at other companies’ websites to find out if they have been affected. If you have used your Northwestern Mutual password for other websites or services, we recommend that you change your Northwestern Mutual password right away and not use it on other sites.